org.apache.nutch.crawl

## Class DbUpdateReducer

- java.lang.Object
- - org.apache.hadoop.mapreduce.Reducer<K1,V1,K2,V2>
  - - org.apache.gora.mapreduce.GoraReducer<UrlWithScore,NutchWritable,java.lang.String,WebPage>
    - - org.apache.nutch.crawl.DbUpdateReducer

-     public class DbUpdateReducer
      extends org.apache.gora.mapreduce.GoraReducer<UrlWithScore,NutchWritable,java.lang.String,WebPage>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.hadoop.mapreduce.Reducer

      `Reducer.Context`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `CRAWLDB_ADDITIONS_ALLOWED`
    `org.apache.gora.store.DataStore<java.lang.String,WebPage>` | `datastore`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DbUpdateReducer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `cleanup(Reducer.Context context)`
    `protected void` | `reduce(UrlWithScore key, java.lang.Iterable<NutchWritable> values, Reducer.Context context)`
    `protected void` | `setup(Reducer.Context context)`

    - ### Methods inherited from class org.apache.gora.mapreduce.GoraReducer

      `initReducerJob, initReducerJob, initReducerJob`

    - ### Methods inherited from class org.apache.hadoop.mapreduce.Reducer

      `run`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CRAWLDB_ADDITIONS_ALLOWED

          public static final java.lang.String CRAWLDB_ADDITIONS_ALLOWED

      See Also:
        Constant Field Values

    - #### datastore

          public org.apache.gora.store.DataStore<java.lang.String,WebPage> datastore

  - ### Constructor Detail

    - #### DbUpdateReducer

          public DbUpdateReducer()

  - ### Method Detail

    - #### setup

          protected void setup(Reducer.Context context)
                        throws java.io.IOException,
                               java.lang.InterruptedException

      Overrides:
        `setup` in class `Reducer<UrlWithScore,NutchWritable,java.lang.String,WebPage>`
      Throws:
        `java.io.IOException`
        `java.lang.InterruptedException`

    - #### cleanup

          protected void cleanup(Reducer.Context context)
                          throws java.io.IOException,
                                 java.lang.InterruptedException

      Overrides:
        `cleanup` in class `Reducer<UrlWithScore,NutchWritable,java.lang.String,WebPage>`
      Throws:
        `java.io.IOException`
        `java.lang.InterruptedException`

    - #### reduce

          protected void reduce(UrlWithScore key,
                                java.lang.Iterable<NutchWritable> values,
                                Reducer.Context context)
                         throws java.io.IOException,
                                java.lang.InterruptedException

      Overrides:
        `reduce` in class `Reducer<UrlWithScore,NutchWritable,java.lang.String,WebPage>`
      Throws:
        `java.io.IOException`
        `java.lang.InterruptedException`

Copyright © 2019 The Apache Software Foundation